package com.zxhy.fastfilemanagerpro.kokoadapter

import com.zxhy.fastfilemanagerpro.kokodata.KoFileDatako


interface AdapterCommonDataFunction<T> {

    abstract fun setData(data: List<T>)
    abstract fun addData(data: List<T>)
    abstract fun clearData()
    abstract fun removeData(data: List<T>)
    abstract fun getSelectData(): List<T>
    abstract fun toggleSelect(select: Boolean)

}